Results 1 to 9 of 9

Thread: Installing w3af 1.6 on Kali 1.0.4 release

Threaded View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Join Date
    2013-Apr
    Posts
    10

    Exclamation Installing w3af 1.6 on Kali 1.0.4 release

    Just sharing my experience in installing w3af (1.6) on Kali 1.0.4

    The default version installed on Kali 1.0.4 is Ver 1.2 and do not work properly. If we run from the menu, the splash screen will come and disappear, w3af GUI will not be launched. If you run through terminal we can see actually an exception is occurred ( "w3afException: There was an error while importing plugins.discovery.wordnet: "No module named nltk.corpus.util"" )...

    The exception details are reported and the workaround is available in http://bugs.kali.org/view.php?id=197. These steps will succeeds and stops the exception, however the version is still 1.2 and do not upgraded to 1.5.

    If we need w3af 1.5 version we can get this as I tried follows.

    Ensure your sources.list file has the following two entries:

    deb http://http.kali.org/kali kali main contrib non-free
    deb http://security.kali.org/kali-security kali/updates main contrib non-free

    Then proceed as

    1. apt-get update
    2. apt-get upgrade
    3. apt-get remove 3waf
    4. cd /usr/share
    5. rm -rf w3af
    6. git clone https://github.com/andresriancho/w3af.git
    7. cd w3af
    8. ./w3af_gui
    9. You will get the list of depended package for running the latest w3af, a script will be generated in the following path: /tmp/w3af_dependency_install.sh
    10. cd /tmp
    11 ./w3af_dependency_install.sh - this will install the missing package..
    12. w3af
    13. After launching go to help -> About menu : see the version of w3af. see the attached image.

    Hope this helps !
    Attached Images Attached Images

Similar Threads

  1. Can't Install w3af on Kali Linux
    By Pentium077 in forum General Archive
    Replies: 10
    Last Post: 2017-02-08, 14:41
  2. Replies: 2
    Last Post: 2017-01-22, 05:22
  3. Replies: 0
    Last Post: 2016-09-22, 15:33
  4. Subterfuge errors after installing on Kali Rolling Release 2016.1
    By jfranco in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-02-24, 15:29
  5. Need help with installing w3af
    By luciferxe in forum TroubleShooting Archive
    Replies: 8
    Last Post: 2013-06-12, 07:49

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •